POST api/batchapi/add/begindryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "5a17bb54-b455-4f54-9803-826c6eec0242",
"batch_id": "bbff4c99-1f7b-410e-b802-90b7a794198a",
"medistream_id": "d79fa0f7-9b31-4d6c-99fe-7c71e32ada69",
"witness_id": "4b7b365e-4ea8-4787-9469-9380daea63f9",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-03-11T11:59:29.8931141+00:00",
"stop_time": "2026-03-11T11:59:29.8931141+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>bbff4c99-1f7b-410e-b802-90b7a794198a</batch_id> <compartment>1</compartment> <id>5a17bb54-b455-4f54-9803-826c6eec0242</id> <medistream_id>d79fa0f7-9b31-4d6c-99fe-7c71e32ada69</medistream_id> <start_time>2026-03-11T11:59:29.8931141+00:00</start_time> <stop_time>2026-03-11T11:59:29.8931141+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>4b7b365e-4ea8-4787-9469-9380daea63f9</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"74988f8d-6ab9-4311-9aa7-05a1a172957d"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">74988f8d-6ab9-4311-9aa7-05a1a172957d</guid>